#### basic_streambuf::prepare

Get a list of buffers that represents the output sequence, with the given size.

    mutable_buffers_type prepare(
        std::size_t n);

Ensures that the output sequence can accommodate `n` characters, reallocating character array objects as necessary.

###### Return Value

An object of type `mutable_buffers_type` that satisfies MutableBufferSequence requirements, representing character array objects at the start of the output sequence such that the sum of the buffer sizes is `n`.

###### Exceptions

std::length_error

  If `size() + n > max_size()`.

###### Remarks

The returned object is invalidated by any `basic_streambuf` member function that modifies the input sequence or output sequence.